# Last updated for version 3.18.0
%global glib2_version                  2.38.0
%global gobject_introspection_version  1.46.0

# this is only turned on during transitional periods
%{?python3_next_pkgversion: %global with_python3_next 1}

%global confopts --disable-silent-rules --srcdir=..


Name:		python3-gobject3
Version:	3.22.0
Release:	6%{?dist}
Summary:	Python %{python3_version} bindings for GObject Introspection

License:	LGPLv2+ and MIT
URL:		https://wiki.gnome.org/Projects/PyGObject
Source0:	https://download.gnome.org/sources/pygobject/3.22/pygobject-%{version}.tar.xz

# https://bugzilla.redhat.com/1247996
# which reverts https://bugzilla.gnome.org/709183
Patch1:		pygobject-3.22.0-allow-static-module-import.patch
Patch2:		pygobject-3.22.0-remove-Werror.patch

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gobject-introspection-devel >= %{gobject_introspection_version}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-cairo-devel
BuildRequires:	cairo-gobject-devel

%description
The %{name} package provides a convenient wrapper for the GObject
library and and other libraries that are compatible with GObject Introspection,
for use in Python %{python3_version} programs.


%package -n python%{python3_pkgversion}-gobject
Summary:	Python %{python3_version} bindings for GObject Introspection
Requires:	python%{python3_pkgversion}-gobject-base%{?_isa} = %{version}-%{release}
Requires:	python%{python3_pkgversion}-cairo%{?_isa}

%description -n python%{python3_pkgversion}-gobject
The %{name} package provides a convenient wrapper for the GObject
library and and other libraries that are compatible with GObject Introspection,
for use in Python %{python3_version} programs.


%package -n python%{python3_pkgversion}-gobject-base
Summary:	Python %{python3_version} bindings for GObject Introspection base package
Requires:	gobject-introspection%{?_isa} >= %{gobject_introspection_version}

%description -n python%{python3_pkgversion}-gobject-base
This package provides the non-cairo specific bits of the GObject Introspection
library.


%package -n python%{python3_pkgversion}-gobject-devel
Summary:	Development files for embedding Python %{python3_version} GObject introspection support
Requires:	python%{python3_pkgversion}-gobject%{?_isa} = %{version}-%{release}
Requires:	gobject-introspection-devel%{?_isa}

%description -n python%{python3_pkgversion}-gobject-devel
This package contains files required to embed Python %{python3_version} PyGObject.


%if 0%{?with_python3_next}
%package -n python%{python3_next_pkgversion}-gobject
Summary:	Python %{python3_next_version} bindings for GObject Introspection

BuildRequires:	python%{python3_next_pkgversion}-devel
BuildRequires:	python%{python3_next_pkgversion}-cairo-devel

Requires:	python%{python3_next_pkgversion}-gobject-base%{?_isa} = %{version}-%{release}
Requires:	python%{python3_next_pkgversion}-cairo%{?_isa}

%description -n python%{python3_next_pkgversion}-gobject
The python%{python3_next_pkgversion}-gobject package provides a convenient wrapper
for the GObject library and and other libraries that are compatible with GObject
Introspection, for use in Python %{python3_next_version} programs.


%package -n python%{python3_next_pkgversion}-gobject-base
Summary:	Python %{python3_next_version} bindings for GObject Introspection base package
Requires:	gobject-introspection%{?_isa} >= %{gobject_introspection_version}

%description -n python%{python3_next_pkgversion}-gobject-base
This package provides the non-cairo specific bits of the GObject Introspection
library.


%package -n python%{python3_next_pkgversion}-devel
Summary:	Development files for embedding Python %{python3_next_version} GObject introspection support
Requires:	python%{python3_next_pkgversion}-gobject%{?_isa} = %{version}-%{release}
Requires:	gobject-introspection-devel%{?_isa}

%description -n python%{python3_next_pkgversion}-gobject-devel
This package contains files required to embed Python %{python3_next_version} PyGObject.
%endif


%prep
%autosetup -n pygobject-%{version} -p 1
%{_bindir}/find . -name '*.py' | %{_bindir}/xargs %{__sed} -i '1s|^#!python|#!%{__python3}|'


%build
%{__mkdir} -p py%{python3_pkgversion}
pushd py%{python3_pkgversion}
export PYTHON=%{__python3}
%{__ln_s} ../configure configure
%configure %{confopts}
make %{?_smp_mflags} V=1

popd
%if 0%{?with_python3_next}
%{__mkdir} -p py%{python3_next_pkgversion}
pushd py%{python3_next_pkgversion}
export PYTHON=%{__python3_next}
%{__ln_s} ../configure configure
%configure %{confopts}
make %{?_smp_mflags} V=1

popd
%endif

%install
export PYTHON=%{__python3}
%make_install -C py%{python3_pkgversion}
%if 0%{?with_python3_next}
%make_install -C py%{python3_next_pkgversion}
%endif

%{_bindir}/find %{buildroot} -name '*.la' -delete

# Don't include makefiles in the installed docs, in order to avoid creating
# multilib conflicts
%{__rm} -fr _docs
%{__mkdir} _docs
%{__cp} -a examples _docs
%{__rm} _docs/examples/Makefile*


%files -n python%{python3_pkgversion}-gobject
%{python3_sitearch}/gi/_gi_cairo*.so


%files -n python%{python3_pkgversion}-gobject-base
%license COPYING
%doc AUTHORS NEWS README
%dir %{python3_sitearch}/gi
%{python3_sitearch}/gi/*
%exclude %{python3_sitearch}/gi/_gi_cairo*.so
%{python3_sitearch}/pygobject-*.egg-info
%{python3_sitearch}/pygtkcompat/


%files -n python%{python3_pkgversion}-gobject-devel
%doc _docs/*
%dir %{_includedir}/pygobject-3.0/
%{_includedir}/pygobject-3.0/pygobject.h
%{_libdir}/pkgconfig/pygobject-3.0.pc


%if 0%{?with_python3_next}
%files -n python%{python3_next_pkgversion}-gobject
%{python3_next_sitearch}/gi/_gi_cairo*.so


%files -n python%{python3_next_pkgversion}-gobject-base
%license COPYING
%doc AUTHORS NEWS README
%dir %{python3_next_sitearch}/gi
%{python3_next_sitearch}/gi/*
%exclude %{python3_next_sitearch}/gi/_gi_cairo*.so
%{python3_next_sitearch}/pygobject-*.egg-info
%{python3_next_sitearch}/pygtkcompat/


%files -n python%{python3_next_pkgversion}-gobject-devel
%doc _docs/*
%dir %{_includedir}/pygobject-3.0/
%{_includedir}/pygobject-3.0/pygobject.h
%{_libdir}/pkgconfig/pygobject-3.0.pc
%endif


%changelog
* Sat Mar  9 2019 Stephen Smoogen <smooge@fedoraproject.org> - 3.22.0-6
- Gobject3 will not build with newer gobject-introspection if -Werror
  is set. Look at what upstream did and found they disabled
  Werror. Added patch to do that.

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 3.22.0-5
- Rebuilt to change main python from 3.4 to 3.6

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 3.22.0-4
- Fix package naming again

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 3.22.0-3
- Fix package naming

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 3.22.0-2
- Fix some packaging problems

* Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 3.22.0-1
- Initial rpm release for EPEL7 (rhbz#1487595)
